View Issue Details

IDProjectCategoryView StatusLast Update
0000023ScribusGeneralpublic2008-02-08 17:12
Reportercbradney Assigned ToTsoots  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3.0cvs 
Summary0000023: Increase the Undo ability of Scribus
DescriptionDepending on the action performed, there is little or no Undo ability available.
Need to allow multiple level undos for all types of operations, either configurable by number in Preferences, or unlimited.
TagsNo tags attached.
Patch

Relationships

parent of 0003443 closedTsoots Scrapbook eps don't undo correctly 
parent of 0003582 closedTsoots undo shape resize undoes more then i have done 
parent of 0003595 closedTsoots add undo/apply/cancel buttons to node editor 
parent of 0003702 closedTsoots Undo not working after shape edit 
parent of 0003954 closedcbradney No Undo within Textframe 
has duplicate 0000389 closedplinnell UNDO not work... BUG 0000023 IS NOT MINORITY BUG!!! 
child of 0005745 closed Metabug: Undo/Redo issues 

Activities

alexandre

2005-01-02 18:48

developer   ~0003321

http://www.inkscape.org/cgi-bin/wiki.pl?BreadthFirstUndo

A nice approach

Tsoots

2005-01-02 19:07

manager   ~0003322

Last edited: 2005-01-02 19:08

I'm almost finished with the new undo/redo framework (includes object specific undo too). I'll commit it to the 1.3 during next few days, probably tomorrow. Have already made guide actions undoable and it seems to work pretty well.

Tsoots

2005-01-07 01:05

manager   ~0003385

New undo framework commited to 1.3.

Guide actions are the only undoable actions in there at the moment. I'll keep you updated here where I'm going (whenever new actions are undoable).

avox

2008-02-08 17:11

administrator   ~0018924

I removed the child bugs which where still open and made sure they are attached to the Undo/Redo metabug.

Closing this one now.

Issue History

Date Modified Username Field Change
2003-11-19 18:03 cbradney New Issue
2003-12-05 17:23 cbradney Severity feature => minor
2003-12-05 17:23 cbradney Status new => confirmed
2003-12-05 17:23 cbradney Description Updated
2004-04-01 20:06 plinnell Relationship added has duplicate 0000389
2004-09-23 23:01 cbradney Product Version => 1.3
2004-12-05 19:10 cbradney Status confirmed => assigned
2004-12-05 19:10 cbradney Assigned To => Tsoots
2005-01-02 18:48 alexandre Note Added: 0003321
2005-01-02 19:07 Tsoots Note Added: 0003322
2005-01-02 19:08 Tsoots Note Edited: 0003322
2005-01-07 01:05 Tsoots Note Added: 0003385
2006-03-16 11:45 jo-hannes Relationship added parent of 0003445
2006-03-16 11:45 jo-hannes Relationship added parent of 0003443
2006-03-16 11:46 jo-hannes Relationship added parent of 0003414
2006-04-07 13:13 jo-hannes Relationship added parent of 0003582
2006-04-09 19:02 jo-hannes Relationship added parent of 0003595
2006-04-12 13:28 mhanski Relationship added related to 0001630
2006-04-26 03:22 mhanski Relationship added parent of 0003702
2006-06-30 13:13 jo-hannes Relationship added parent of 0003954
2006-06-30 21:15 jo-hannes Relationship added parent of 0003301
2006-09-18 21:16 Tsoots Status assigned => resolved
2006-09-18 21:16 Tsoots Fixed in Version => 1.3.4cvs
2006-09-18 21:16 Tsoots Resolution open => fixed
2006-09-18 21:17 Tsoots Status resolved => assigned
2007-05-23 20:32 christoph_s Relationship added child of 0005745
2008-02-08 17:07 avox Relationship deleted parent of 0003445
2008-02-08 17:07 avox Relationship deleted parent of 0003414
2008-02-08 17:08 avox Relationship deleted parent of 0003301
2008-02-08 17:09 avox Relationship deleted related to 0001630
2008-02-08 17:11 avox Status assigned => resolved
2008-02-08 17:11 avox Fixed in Version 1.3.4cvs => 1.3.0cvs
2008-02-08 17:11 avox Note Added: 0018924
2008-02-08 17:12 avox Status resolved => closed